Subject: Re: Devices

From: [email-masked]
Date: Wed, 01 Apr 92 10:17:22 MST

--------

    > The drivers should take care of this for you, like the SCSI drivers 
    > do, so that no matter what SCSI adapter you have (currently, 
    > Ultrastor and Seagate adapters are supported, RSN Adaptec, and soon
    > DTC and CSC adapters) do, you only have one /dev/sd* set of devices,
    > and one set of major/minor numbers to deal with.

    Umhhh, the point is that people might want to have in the same system
    A wd drive
    A Scsi drive
    A colorado tape
    A soundblaster

Yes, but you don't need a 

/dev/sdadaptec[0-6]      
/dev/sdseagate[0-6], etc.  

The point is for "similar" devices, they should have the same name iregardless
of implementation.  IE SCSI disk adaptec , seagate, etc are all the same.

QIC-02 tapes from Colorado, Wantek, etc are all the same.

ST506 drives, be they IDE, MFM, RLL, ESDI are the same.

    You can't leave it to the kernel ONLY,you need some sort of way to 
    tell to the kernel what to use.

    What about s shell script that create devices on demand ?
    Something like

    makedevice scsi

    Create the scsi devices

    makdevice colorado

    Create the colorado devices

    This will keep the /dev/directory short.....

This would be nice.  Maybe we should have a nice, interactive install
script (see Larry Wall's configure script for Perl for an example)

    Anyway the device naming blues will not finish with this system
    The device names MUST be unique for ANY possible hardware combination
    After all you newer Know what you are going to install .....

    I like the idea of
    [device type][device brand][attributes ]
                   ^^^^^ 
I've been saying that this field is undesireable where multiple 
devices of the same type will not be installed simultaneously, and that
even if they are there should probably just be more minor  numbers off of
the same device, ie 

/dev/snd0

/dev/snd1
for the first two sound boards installed.

    Each part being a maximum of three chars.
    Ex:

    fdscsi0
    fdwd0
    mtcolr0

What's wrong with "normal" names, like those used on any other system?
/dev/sd - scsi disks
/dev/st - scsi tapes
/dev/mt - magnetic tapes
/dev/fd - floppy disks
/dev/hd - "normal" hard disks

etc.

    flp1.2mb	The 1.2mb floppy
    flp1.4mb	The 1.44 mb floppy
    flp2.0mb	The future 2.0 mb ?....

A human readable size identified for the sloppy disk IS a good idea.  
However, I think 

/dev/fd[drive no]d{1440, 1200, 720, 360, 2880} 
may work better and be more asthetically pleasing.  

Another note : 2.0mb floppies exist and nearly everyone has one in 
his computer these days - 2.0mb disks are unformatted 1.44's 

    For the serial lines it hink it will be nice to stay with 

    ttys1
    ttys2

    and so on

Agreed.

    the pty can be something
    ttyp1	The slave part have p since s is used by the serial )
    ttyp2

    and

    ttym1	The master part of a pty
    ttym2

    Remembar, it the thing is cannot be extended sooner or later (by Murphy)
    you will hit the limit. Therefore, it is better if the standard
    can be expanded without creating conflicts.

    Damiano

That's abnormal.  We want to stick with "normal" naming conventions - ie
/dev/ttyp
/dev/ptyp 

and if numbers run out

dev/ttyq
/dev/ptyq